View Issue Details

IDProjectCategoryView StatusLast Update
0004567Slicer4Core: Base Codepublic2018-10-23 18:29
ReporterlassoanAssigned Tojcfr 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product VersionSlicer 4.9.0 
Target VersionSlicer 4.9.0Fixed in VersionSlicer 4.9.0 
Summary0004567: DataStore module does not download any data
Description

When starting DataStore module, progress bar get stuck at 24%. Data sets are listed but when clicking Download button for any data set, nothing happens.

These errors are logged:

qDataStoreWidget::qDataStoreWidget - configuration of widget connections not implemented with Qt5
Synchronous XMLHttpRequest on the main thread is deprecated because of its detrimental effects to the end user's experience. For more help, check https://xhr.spec.whatwg.org/.

[DEBUG][Qt] 30.05.2018 12:20:01 [] (unknown:0) - Slicer version ...........: 4.9.0-2018-05-29 (revision 27218) win-amd64 - installed release
[DEBUG][Qt] 30.05.2018 12:20:01 [] (unknown:0) - Operating system .........: Windows / Professional / (Build 9200) - 64-bit

TagsNo tags attached.

Activities

jcfr

jcfr

2018-10-14 01:42

administrator   ~0016123

Last edited: 2018-10-14 01:43

View 2 revisions

Fixed in r27481
See http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=27481

lassoan

lassoan

2018-10-23 18:20

developer   ~0016173

Last edited: 2018-10-23 18:21

View 3 revisions

Data download does not work in Slicer-4.10.0 on Windows. A page with this message comes up if you click on "Load" button of any data set:

Slicer Data Store

Failed to load data store page using the following URL:
http://slicer.kitware.com/midas3/slicerdatastore/
lassoan

lassoan

2018-10-23 18:29

developer   ~0016174

Sorry, false alarm, it works now. I did not even restart Slicer.

Issue History

Date Modified Username Field Change
2018-05-30 12:24 lassoan New Issue
2018-05-30 12:24 lassoan Status new => assigned
2018-05-30 12:24 lassoan Assigned To => jcfr
2018-10-14 01:42 jcfr Status assigned => resolved
2018-10-14 01:42 jcfr Resolution open => fixed
2018-10-14 01:42 jcfr Fixed in Version => Slicer 4.9.0
2018-10-14 01:42 jcfr Note Added: 0016123
2018-10-14 01:43 jcfr Note Edited: 0016123 View Revisions
2018-10-23 18:20 lassoan Note Added: 0016173
2018-10-23 18:21 lassoan Status resolved => assigned
2018-10-23 18:21 lassoan Note Edited: 0016173 View Revisions
2018-10-23 18:21 lassoan Note Edited: 0016173 View Revisions
2018-10-23 18:29 lassoan Status assigned => resolved
2018-10-23 18:29 lassoan Note Added: 0016174